JackTrip: RtError Class Reference

JackTrip

Public Types | Public Member Functions | Protected Attributes | List of all members
RtError Class Reference

Exception handling class for RtAudio & RtMidi. More...

`#include <RtError.h>`

Inheritance diagram for RtError:
[legend]
Collaboration diagram for RtError:
[legend]

## Public Types
enum | Type { WARNING, DEBUG_WARNING, UNSPECIFIED, NO_DEVICES_FOUND, INVALID_DEVICE, MEMORY_ERROR, INVALID_PARAMETER, INVALID_USE, DRIVER_ERROR, SYSTEM_ERROR, THREAD_ERROR }
| Defined RtError types. More...

## Public Member Functions
| RtError (const std::string &message, Type type=RtError::UNSPECIFIED) throw ()
| The constructor. More...
virtual | ~RtError (void) throw ()
| The destructor. More...
virtual void | printMessage (void) const throw ()
| Prints thrown error message to stderr. More...
virtual const Type & | getType (void) const throw ()
| Returns the thrown error message type. More...
virtual const std::string & | getMessage (void) const throw ()
| Returns the thrown error message string. More...
virtual const char * | what (void) const throw ()
| Returns the thrown error message as a c-style string. More...

## Protected Attributes
std::string | message_
Type | type_

## Detailed Description

Exception handling class for RtAudio & RtMidi.

The RtError class is quite simple but it does allow errors to be "caught" by RtError::Type. See the RtAudio and RtMidi documentation to know which methods can throw an RtError.

## Member Enumeration Documentation

## ◆ Type

enum RtError::Type

Defined RtError types.

Enumerator
WARNING | A non-critical error.
DEBUG_WARNING | A non-critical error which might be useful for debugging.
UNSPECIFIED | The default, unspecified error type.
NO_DEVICES_FOUND | No devices found on system.
INVALID_DEVICE | An invalid device ID was specified.
MEMORY_ERROR | An error occured during memory allocation.
INVALID_PARAMETER | An invalid parameter was specified to a function.
INVALID_USE | The function was called incorrectly.
DRIVER_ERROR | A system driver error occured.
SYSTEM_ERROR | A system error occured.
THREAD_ERROR | A thread error occured.

## Constructor & Destructor Documentation

## ◆ RtError()

RtError::RtError | ( | const std::string & | message,
|  | Type | type = `RtError::UNSPECIFIED`
| ) |  |
throw | ( |
| ) |  |
| inline

The constructor.

## ◆ ~RtError()

virtual RtError::~RtError | ( | void |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

The destructor.

## Member Function Documentation

## ◆ getMessage()

virtual const std::string& RtError::getMessage | ( | void |  | ) | const
throw | ( |
| ) |  |
| inlinevirtual

Returns the thrown error message string.

## ◆ getType()

virtual const Type& RtError::getType | ( | void |  | ) | const
throw | ( |
| ) |  |
| inlinevirtual

Returns the thrown error message type.

## ◆ printMessage()

virtual void RtError::printMessage | ( | void |  | ) | const
throw | ( |
| ) |  |
| inlinevirtual

Prints thrown error message to stderr.

## ◆ what()

virtual const char* RtError::what | ( | void |  | ) | const
throw | ( |
| ) |  |
| inlinevirtual

Returns the thrown error message as a c-style string.

## Member Data Documentation

## ◆ message_

std::string RtError::message_
| protected

## ◆ type_

Type RtError::type_
| protected

The documentation for this class was generated from the following file:

- src/RtError.h